// Persistence Of Vision raytracer version 2.0 sample file.

#include "colors.inc"
#include "textures.inc"

camera {
   location <0.0, 30.0, -100.0>
//   location <0.0, 140.0, -350.0>
   up <0.0, 1.0, 0.0>
   right <4/3, 0.0, 0.0>
   look_at <0.0, -2.0, 0.0>
}

/*The back wall*/

plane { z, 200.0
   finish {
      crand 0.1
      ambient 0.3
      diffuse 0.7
   }
   pigment { LightGray }
}

/*The ceiling*/
plane { y,  500.0
   finish {
      crand 0.1
      ambient 0.3
      diffuse 0.7
   }
   pigment { White }
}


/*The desk surface*/
intersection {
   plane { y,    2.0 }
   plane { y,   -2.0 inverse }
   plane { z,  100.0 }
   plane { z, -100.0 inverse }
   plane { x,  125.0 }
   plane { x, -125.0 inverse }

   translate -20.0*y

   finish {
      crand 0.05
      ambient 0.3
      diffuse 0.7
      reflection 0.3
      brilliance 3.0
   }
   pigment {
      //Dark_Wood
      LightGray
      scale <5.0, 1.0, 1.0>
   }
}

/* right side lamp*/

light_source {
    <0, 0, 0> color White

   translate <60.0, 43.0, -45.0>
   rotate 35*y   
}

union {

object{
        union { // left narrow side
           triangle { <1,0,0>, <0,1,0>, <0,0,0> }
           triangle { <1,0,0>, <0,1,0>, <1,1,0> }
        
           pigment { image_map { tga "side.tga" /* once */ interpolate 2 } 
              rotate <0,0,-90>
              translate y }
        }


   finish {
      crand 0.05
      ambient 0.9
      diffuse 0.1
      reflection 0.2
   }

   scale <10.0, 50.0, 1.0> /* front side w h */
   translate <-10.0, 0.0, -0.01> /* x y z pos over the desk */
   rotate <0,90,0>
}

/*The Picture itself*/

intersection {
   plane { x,  1.0 pigment { color Yellow }
   }
   plane { x, -1.0 inverse pigment { color Cyan } /* left narrow side */
   }
   plane { y,  1.0 pigment { color Green } /* top side */
   }
   plane { y, -1.0 inverse /* bottom side */
   }
   plane { z,  1.0 pigment { color Red } /* back side */
   }
   plane { z, -1.0 inverse }

   translate <1.0, 1.0, 1.0>
   scale <18.0, 25.0, 5.0>  /* w h */

   pigment {
      image_map { tga "frontside.tga" once interpolate 2.0 }
      scale <36.0, 50.0, 1.0> /* front side w h */
   }

}

   finish {
      ambient 0.05
      diffuse 0.9
   }

// scale 1.5
rotate <10.0, -35.0, 0.0>
translate <-5.0, -15.0, -25.0> /* x y z pos on the desk */

}

/*The light source*/

light_source { <20.0, 100.0, -200.0> colour Gray80

   area_light <5, 0, 0>, <0, 0, 10>, 5, 5
   adaptive 1
   jitter
}
light_source { <-20.0, 100.0, -200.0> colour Gray90 }


